# GimpUi.EnumStore.new_with_range

    function new_with_range(enum_type: GObject.Type, minimum: Number(gint), maximum: Number(gint)): Gtk.ListStore {
        // Gjs wrapper for gimp_enum_store_new_with_range()
    }

Creates a new GimpUi.EnumStore like GimpUi.EnumStore.new but allows to limit the enum values to a certain range. Values smaller than minimum or larger than maximum are not added to the store.

Since 2.4

enum_type

  the GLib.Type of an enum.

minimum

  the minimum value to include

maximum

  the maximum value to include

Returns

  a new GimpUi.EnumStore.